# Changelog

All notable changes to this project will be documented in this file.

## [0.3.6] - 2025-01-26

### 🚀 Features

- *(webnsupdate)* Allow running in IPv4/6 only mode
- *(module)* Add option for setting --ip-type
- *(flake)* Add tests for new allowedIPVersion option

## [0.3.5] - 2025-01-23

### 🚀 Features

- *(renovate)* Enable lockFileMaintenance
- *(webnsupdate)* Add handling for multiple IPs
- Tune compilation for size
- *(tests)* Add nginx integration test

### 🐛 Bug Fixes

- *(flake)* Switch to github ref
- *(renovate)* Switch automergeStrategy to auto
- *(ci)* Remove update workflow
- *(typos)* Typos caught more typos :3
- *(renovate)* Branch creation before automerge
- *(renovaterc)* Invalid cron syntax
- *(deps)* Update rust crate clap to v4.5.24
- *(deps)* Update rust crate tokio to v1.43.0
- *(deps)* Update rust crate clap to v4.5.25
- *(deps)* Update rust crate clap to v4.5.26
- *(flake)* Switch overlay to callPackage
- *(deps)* Update rust crate clap to v4.5.27
- *(deps)* Update rust crate axum to v0.8.2
- *(module)* Test both IPv4 and IPv6

### 🚜 Refactor

- Setup renovate to manage dependencies

### ⚙️ Miscellaneous Tasks

- Update to axum 0.8
- Parallelize checks

## [0.3.4] - 2024-12-26

### 🐛 Bug Fixes

- *(main)* Add more logging and default to info

## [0.3.3] - 2024-12-22

### 🚀 Features

- *(ci)* Generate package size report
- Add git-cliff to generate changelogs

### 🐛 Bug Fixes

- *(webnsupdate)* Reduce binary size
- *(ci)* Remove tea

### ⚙️ Miscellaneous Tasks

- *(flake.lock)* Update inputs
- Cargo update
- Generate base changelog

## [0.3.2] - 2024-11-23

### 🚀 Features

- *(ci)* Check depends on build
- Upgrade clap_verbosity_flag
- Replace axum-auth with tower_http
- Release new version

### 🐛 Bug Fixes

- *(clippy)* Enable more lints and fix issues

### 🚜 Refactor

- Reorganize main.rs

### ⚙️ Miscellaneous Tasks

- Cargo update
- Update flake inputs

## [0.3.1] - 2024-10-28

### 🐛 Bug Fixes

- Overlay was broken T-T

### ⚙️ Miscellaneous Tasks

- Next dev version

## [0.3.0] - 2024-10-28

### 🚀 Features

- *(ci)* Auto-update rust deps
- Refactor and add ip saving
- Add -v verbosity flag
- Use treefmt-nix and split up flake.nix
- Add NixOS VM tests
- Switch to crane

### 🐛 Bug Fixes

- *(fmt)* Use nixfmt-rfc-style
- *(default.nix)* Small issues here and there
- *(ci)* Do not use a name when logging in

### 🚜 Refactor

- *(flake)* Use flake-parts

### ⚙️ Miscellaneous Tasks

- Updarte deps
- *(flake.lock)* Update inputs
- Cargo update
- Cargo update
- Cargo update

## [0.2.0] - 2024-06-02

### 💼 Other

- Init at version 0.1.0

<!-- generated by git-cliff -->
